org.opencv.utils

## Class Converters

- java.lang.Object
- - org.opencv.utils.Converters

-     public class Converters
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Converters()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `Mat_to_vector_char(Mat m, List<Byte> bs)`
    `static void` | `Mat_to_vector_DMatch(Mat m, List<DMatch> matches)`
    `static void` | `Mat_to_vector_double(Mat m, List<Double> ds)`
    `static void` | `Mat_to_vector_float(Mat m, List<Float> fs)`
    `static void` | `Mat_to_vector_int(Mat m, List<Integer> is)`
    `static void` | `Mat_to_vector_KeyPoint(Mat m, List<KeyPoint> kps)`
    `static void` | `Mat_to_vector_Mat(Mat m, List<Mat> mats)`
    `static void` | `Mat_to_vector_Point(Mat m, List<Point> pts)`
    `static void` | `Mat_to_vector_Point2d(Mat m, List<Point> pts)`
    `static void` | `Mat_to_vector_Point2f(Mat m, List<Point> pts)`
    `static void` | `Mat_to_vector_Point3(Mat m, List<Point3> pts)`
    `static void` | `Mat_to_vector_Point3d(Mat m, List<Point3> pts)`
    `static void` | `Mat_to_vector_Point3f(Mat m, List<Point3> pts)`
    `static void` | `Mat_to_vector_Point3i(Mat m, List<Point3> pts)`
    `static void` | `Mat_to_vector_Rect(Mat m, List<Rect> rs)`
    `static void` | `Mat_to_vector_Rect2d(Mat m, List<Rect2d> rs)`
    `static void` | `Mat_to_vector_RotatedRect(Mat m, List<RotatedRect> rs)`
    `static void` | `Mat_to_vector_uchar(Mat m, List<Byte> us)`
    `static void` | `Mat_to_vector_vector_char(Mat m, List<List<Byte>> llb)`
    `static void` | `Mat_to_vector_vector_DMatch(Mat m, List<MatOfDMatch> lvdm)`
    `static void` | `Mat_to_vector_vector_KeyPoint(Mat m, List<MatOfKeyPoint> kps)`
    `static void` | `Mat_to_vector_vector_Point(Mat m, List<MatOfPoint> pts)`
    `static void` | `Mat_to_vector_vector_Point2f(Mat m, List<MatOfPoint2f> pts)`
    `static void` | `Mat_to_vector_vector_Point3f(Mat m, List<MatOfPoint3f> pts)`
    `static Mat` | `vector_char_to_Mat(List<Byte> bs)`
    `static Mat` | `vector_DMatch_to_Mat(List<DMatch> matches)`
    `static Mat` | `vector_double_to_Mat(List<Double> ds)`
    `static Mat` | `vector_float_to_Mat(List<Float> fs)`
    `static Mat` | `vector_int_to_Mat(List<Integer> is)`
    `static Mat` | `vector_KeyPoint_to_Mat(List<KeyPoint> kps)`
    `static Mat` | `vector_Mat_to_Mat(List<Mat> mats)`
    `static Mat` | `vector_Point_to_Mat(List<Point> pts)`
    `static Mat` | `vector_Point_to_Mat(List<Point> pts, int typeDepth)`
    `static Mat` | `vector_Point2d_to_Mat(List<Point> pts)`
    `static Mat` | `vector_Point2f_to_Mat(List<Point> pts)`
    `static Mat` | `vector_Point3_to_Mat(List<Point3> pts, int typeDepth)`
    `static Mat` | `vector_Point3d_to_Mat(List<Point3> pts)`
    `static Mat` | `vector_Point3f_to_Mat(List<Point3> pts)`
    `static Mat` | `vector_Point3i_to_Mat(List<Point3> pts)`
    `static Mat` | `vector_Rect_to_Mat(List<Rect> rs)`
    `static Mat` | `vector_Rect2d_to_Mat(List<Rect2d> rs)`
    `static Mat` | `vector_RotatedRect_to_Mat(List<RotatedRect> rs)`
    `static Mat` | `vector_uchar_to_Mat(List<Byte> bs)`
    `static Mat` | `vector_vector_char_to_Mat(List<MatOfByte> lvb, List<Mat> mats)`
    `static Mat` | `vector_vector_DMatch_to_Mat(List<MatOfDMatch> lvdm, List<Mat> mats)`
    `static Mat` | `vector_vector_KeyPoint_to_Mat(List<MatOfKeyPoint> kps, List<Mat> mats)`
    `static Mat` | `vector_vector_Point_to_Mat(List<MatOfPoint> pts, List<Mat> mats)`
    `static Mat` | `vector_vector_Point2f_to_Mat(List<MatOfPoint2f> pts, List<Mat> mats)`
    `static Mat` | `vector_vector_Point3f_to_Mat(List<MatOfPoint3f> pts, List<Mat> mats)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Converters

          public Converters()

  - ### Method Detail

    - #### vector_Point_to_Mat

          public static Mat vector_Point_to_Mat(List<Point> pts)

    - #### vector_Point2f_to_Mat

          public static Mat vector_Point2f_to_Mat(List<Point> pts)

    - #### vector_Point2d_to_Mat

          public static Mat vector_Point2d_to_Mat(List<Point> pts)

    - #### vector_Point_to_Mat

          public static Mat vector_Point_to_Mat(List<Point> pts,
                                                int typeDepth)

    - #### vector_Point3i_to_Mat

          public static Mat vector_Point3i_to_Mat(List<Point3> pts)

    - #### vector_Point3f_to_Mat

          public static Mat vector_Point3f_to_Mat(List<Point3> pts)

    - #### vector_Point3d_to_Mat

          public static Mat vector_Point3d_to_Mat(List<Point3> pts)

    - #### vector_Point3_to_Mat

          public static Mat vector_Point3_to_Mat(List<Point3> pts,
                                                 int typeDepth)

    - #### Mat_to_vector_Point2f

          public static void Mat_to_vector_Point2f(Mat m,
                                                   List<Point> pts)

    - #### Mat_to_vector_Point2d

          public static void Mat_to_vector_Point2d(Mat m,
                                                   List<Point> pts)

    - #### Mat_to_vector_Point

          public static void Mat_to_vector_Point(Mat m,
                                                 List<Point> pts)

    - #### Mat_to_vector_Point3i

          public static void Mat_to_vector_Point3i(Mat m,
                                                   List<Point3> pts)

    - #### Mat_to_vector_Point3f

          public static void Mat_to_vector_Point3f(Mat m,
                                                   List<Point3> pts)

    - #### Mat_to_vector_Point3d

          public static void Mat_to_vector_Point3d(Mat m,
                                                   List<Point3> pts)

    - #### Mat_to_vector_Point3

          public static void Mat_to_vector_Point3(Mat m,
                                                  List<Point3> pts)

    - #### vector_Mat_to_Mat

          public static Mat vector_Mat_to_Mat(List<Mat> mats)

    - #### Mat_to_vector_Mat

          public static void Mat_to_vector_Mat(Mat m,
                                               List<Mat> mats)

    - #### vector_float_to_Mat

          public static Mat vector_float_to_Mat(List<Float> fs)

    - #### Mat_to_vector_float

          public static void Mat_to_vector_float(Mat m,
                                                 List<Float> fs)

    - #### vector_uchar_to_Mat

          public static Mat vector_uchar_to_Mat(List<Byte> bs)

    - #### Mat_to_vector_uchar

          public static void Mat_to_vector_uchar(Mat m,
                                                 List<Byte> us)

    - #### vector_char_to_Mat

          public static Mat vector_char_to_Mat(List<Byte> bs)

    - #### vector_int_to_Mat

          public static Mat vector_int_to_Mat(List<Integer> is)

    - #### Mat_to_vector_int

          public static void Mat_to_vector_int(Mat m,
                                               List<Integer> is)

    - #### Mat_to_vector_char

          public static void Mat_to_vector_char(Mat m,
                                                List<Byte> bs)

    - #### vector_Rect_to_Mat

          public static Mat vector_Rect_to_Mat(List<Rect> rs)

    - #### Mat_to_vector_Rect

          public static void Mat_to_vector_Rect(Mat m,
                                                List<Rect> rs)

    - #### vector_Rect2d_to_Mat

          public static Mat vector_Rect2d_to_Mat(List<Rect2d> rs)

    - #### Mat_to_vector_Rect2d

          public static void Mat_to_vector_Rect2d(Mat m,
                                                  List<Rect2d> rs)

    - #### vector_KeyPoint_to_Mat

          public static Mat vector_KeyPoint_to_Mat(List<KeyPoint> kps)

    - #### Mat_to_vector_KeyPoint

          public static void Mat_to_vector_KeyPoint(Mat m,
                                                    List<KeyPoint> kps)

    - #### vector_vector_Point_to_Mat

          public static Mat vector_vector_Point_to_Mat(List<MatOfPoint> pts,
                                                       List<Mat> mats)

    - #### Mat_to_vector_vector_Point

          public static void Mat_to_vector_vector_Point(Mat m,
                                                        List<MatOfPoint> pts)

    - #### Mat_to_vector_vector_Point2f

          public static void Mat_to_vector_vector_Point2f(Mat m,
                                                          List<MatOfPoint2f> pts)

    - #### vector_vector_Point2f_to_Mat

          public static Mat vector_vector_Point2f_to_Mat(List<MatOfPoint2f> pts,
                                                         List<Mat> mats)

    - #### Mat_to_vector_vector_Point3f

          public static void Mat_to_vector_vector_Point3f(Mat m,
                                                          List<MatOfPoint3f> pts)

    - #### vector_vector_Point3f_to_Mat

          public static Mat vector_vector_Point3f_to_Mat(List<MatOfPoint3f> pts,
                                                         List<Mat> mats)

    - #### vector_vector_KeyPoint_to_Mat

          public static Mat vector_vector_KeyPoint_to_Mat(List<MatOfKeyPoint> kps,
                                                          List<Mat> mats)

    - #### Mat_to_vector_vector_KeyPoint

          public static void Mat_to_vector_vector_KeyPoint(Mat m,
                                                           List<MatOfKeyPoint> kps)

    - #### vector_double_to_Mat

          public static Mat vector_double_to_Mat(List<Double> ds)

    - #### Mat_to_vector_double

          public static void Mat_to_vector_double(Mat m,
                                                  List<Double> ds)

    - #### vector_DMatch_to_Mat

          public static Mat vector_DMatch_to_Mat(List<DMatch> matches)

    - #### Mat_to_vector_DMatch

          public static void Mat_to_vector_DMatch(Mat m,
                                                  List<DMatch> matches)

    - #### vector_vector_DMatch_to_Mat

          public static Mat vector_vector_DMatch_to_Mat(List<MatOfDMatch> lvdm,
                                                        List<Mat> mats)

    - #### Mat_to_vector_vector_DMatch

          public static void Mat_to_vector_vector_DMatch(Mat m,
                                                         List<MatOfDMatch> lvdm)

    - #### vector_vector_char_to_Mat

          public static Mat vector_vector_char_to_Mat(List<MatOfByte> lvb,
                                                      List<Mat> mats)

    - #### Mat_to_vector_vector_char

          public static void Mat_to_vector_vector_char(Mat m,
                                                       List<List<Byte>> llb)

    - #### vector_RotatedRect_to_Mat

          public static Mat vector_RotatedRect_to_Mat(List<RotatedRect> rs)

    - #### Mat_to_vector_RotatedRect

          public static void Mat_to_vector_RotatedRect(Mat m,
                                                       List<RotatedRect> rs)

Generated on Wed Oct 9 2019 16:55:37 UTC / OpenCV 3.4.8